[manpage_begin central::extras n 1.0b1]
[require   Tcl 8.6]
[require   Tk 8.6]
[require   central::extras [opt 1.0b1]]
[moddesc   {Central Extras}]
[titledesc {Central Extras}]
[category  {Programming tools}]
[copyright {2020 Stuart Cassoff <stwo@users.sourceforge.net>}]
[keywords  central pkgconfig GUI]

[description]

	Central Extras provides functionality that may be used
	in programs to display Central package info.


[section {COMMANDS}]

[usage namespace import ::central::central]

[list_begin definitions]

	[call [cmd {central textDump}] [opt [arg {myPackages}]]]
		Returns a formatted text dump of discovered packages.
		If [opt [arg {myPackages}]] is not provided then any packages previously
		discovered with [cmd {central discover}] will be used.

	[call [cmd {central packages->textWidget}] [arg {window}]  [opt [arg {headingtag}]] [opt [arg {myPackages}]]]
		If [opt [arg {myPackages}]] is not provided then [lb][cmd {central discover}][rb] packages will be used.
		The [opt [arg {headingtags}]] option does nothing and will be removed in the next version if
		it continues to do nothing.

	[call [class "central CentralPackageBrowser new [arg {window}] [opt [arg {toolkit}]]"]]
		A Tcl OO class providing a GUI package browser.

[list_end]


[section EXAMPLES]

[example {
	# Dump to text widget:

	package require Tk
	grid [text .t]

	package require central::extras
	namespace import central::central

	central discover

	central packages->textWidget .t


	# Using the CentralPackageBrowser object:

	package require Tk
	package require central::extras
	namespace import central::central

	central CentralPackageBrowser new .
}]


[see_also central]


[manpage_end]
